Множественные уязвимости в CS-Cart

Дата публикации:27.01.2014
Всего просмотров:6372
Опасность:
Низкая
Наличие исправления: Да
Количество уязвимостей:1
CVSSv2 рейтинг: 4.3 (AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C)
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Межсайтовый скриптинг
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: CS-Cart 4.x
Уязвимые версии: CS-Cart 4.1.x, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "settings_file" и "data_file" в сценариях ampie.swf, amline.swf и amcolumn.swf. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://www.cs-cart.com/

Решение: Установите последнюю версию 4.1.1 с сайта производителя.

Ссылки: http://blog.cs-cart.com/2014/01/15/cs-cart-and-multi-vendor-4-1-1-released-cs-cart-facebook-app-is-coming/
http://www.kb.cert.org/vuls/id/405942